Subject: bug#15155: 24.3; wrap-prefix in adaptive-wrap-prefix-mode with variable-pitch has wrong face

From: Eli Zaretskii <[email-masked]>
Date: Thu, 22 Aug 2013 19:56:05 +0300

> Date: Thu, 22 Aug 2013 18:15:21 +0200
> From: Frank Fischer <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > Perhaps you are calling face-at-point at the wrong buffer position.
> 
> Perhaps, but what is the correct buffer position (I expected (point)
> when `looking-at` is called to be the correct one, but this may be wrong
> in some cases -- I do not know enough about the internals of determining
> the wrap-prefix to really say what's going on)?
> 
> However, as long as the prefix does not get the correct font it does not
> matter, because this is the most important aspect (for me because I want
> to use adaptive-wrap with variable-pitch-mode).

Can you build Emacs from the trunk?  I would like to ask you to try a
patch that might fix this in your use case.